# Makefile for SC98 Demo
#--------------------------------
# $Author: zeynep $
#--------------------------------
#
# C++ compiler to uses

# Compiler Flags
CFLAGS = -D_WIN32

# Linker flags
LFLAGS =

	# Directories to search for include (.h) files
INCDIR = -I c:\progra~1\devstudio\vc\include -I.\include\libinc -I.\include\global 

	# Directories to search for library (.a, .so) files
LIBS =  wsock32.lib advapi32.lib 

# Libraries required for creating executable
LIBDIR  =  -LIBPATH:c:\progra~1\devstudio\vc\lib

#.SUFFIXES: .cc .cpp
#.cc.obj:
#  cl /nologo /c $(CFLAGS)  $(INCDIR)   /Tp $<

.SUFFIXES: .cc .cpp

.cc.obj:
  cl /nologo /c $(CFLAGS) $(INCDIR) /Tp $<

#SRCS=\
#       Main.cc \
#       DemoMgr.cc \
#       NetMgr.cc \
#       DisPdu203.cc 


# Object files
OBJS= Main.obj \
	 DemoMgr.obj \
	 NetMgr.obj \
	 DisPdu203.obj \
	 mess.obj

all:: execs.exe

execs.exe: $(OBJS)
	link    -nologo $(OBJS) $(LIBDIR) $(LIBS) $(CXXLINKOPTIONS) -out:$@ 
#$** 
