#ifndef MESS2_H
#define MESS2_H
#include<iostream.h>
#include<string.h>
// #include "DisPdu203.h"
// Abstract superclass for messages
#include "sim.h"
class cMessageList;
class cMessage
{
	friend class cMessageList;
protected:
	TTimeSim SendTime;
	cMessage* pPrev; // pointer to pevious
	cMessage* pNext; // pointer to next
public:
	cMessage(TTimeSim t) // constructor
	{
		SendTime = t;
	}
	virtual ~cMessage() {} // destructor
//	virtual cMessageList* GetMessageList() = 0;
};

//  super class for linked lists of messages
class cMessageList
{
protected:
//	cMessage* head;
//	cMessage* tail;
//	cMessage* ptr;
//	TTimeSim 
	TTimeSim LastSendTime;
public:
/*	cMessageList()
	{
		head = tail = NULL;
	}
*/
	virtual ~cMessageList(){};
/*	cMessage* getFirstMessage(void)
	{
		cMessage* temp1; // temporary storage
		cMessage* temp2;
		temp1 = head;
		temp2 = head;
		delMessage(temp1);
		return(temp2);
	}

		
	void addMessage(cMessage* msg) // method used by all derived classes
	{
		msg->pPrev=tail;
		msg->pNext=NULL;
		if(!head)
		{
			head = msg;
		}
		if(tail)
		{
			tail->pNext=msg;
		}
		tail = msg;
	}
	
	void delMessage(cMessage* msg) // method used by derived classes
	{
		if(head == msg)
		{
			head = msg->pNext;
		}
		if(tail == msg)
		{
			tail = msg->pPrev;
		}
		if(msg->pPrev)
		{
			msg->pPrev->pNext = msg->pNext;
		}
		if(msg->pNext)
		{
			msg->pNext->pPrev = msg->pPrev;
		}
		delete msg;
	}
	*/

};
class cPr1MessageList;
class cPr1Message : public cMessage // base class for priority one messages
{
	friend class cPr1MessageList;
public:
//	virtual cMessageList* GetMessageList();
	// constructor
	cPr1Message() : cMessage(0){};
/*	{
		gPr1MessageList.addMessage(this);
	}
*/
	~cPr1Message(); // destructor
};
class cPr1MessageList : public cMessageList	// base class for list of priority one messages
{
public:
	cPr1MessageList();
	virtual ~cPr1MessageList();
/*	void addMessage(cPr1Message* a)
	{
		cMessageList::addMessage(a);
	}
*/
};

class cPr2Message : public cMessage // base class for second priority messages
{
public:
//	virtual cPr2MessageList* GetMessageList();
	// constructor
	cPr2Message() : cMessage(0){};
/*	{
		gPr2MessageList.addMessage(this);
	}
*/
	virtual ~cPr2Message(){};
};

class cPr2MessageList : public cMessageList
{
	public:
		cPr2MessageList(){};
	virtual ~cPr2MessageList(){};
/*	void addMessage(cPr2Message* a)
	{
		cMessageList::addMessage(a);
	}
*/
};

class cDetMessage 
{
public:
Detonation* d; // Detonation is a class
cDetMessage* pPrev;
cDetMessage* pNext;
// constructor
/*cDetMessage( Detonation a)
{
	d = a;
};
*/
void SetMsg(Detonation* a)
{
	d = a;
};
~cDetMessage(){}; // destructor
};

class cDetMessageList 
{
public:
	cDetMessage* head;
	cDetMessage* tail;

	~cDetMessageList();
	
	cDetMessageList()
	{
		head = tail = NULL;
	}
	Detonation* getFirstMessage(void)
	{
		 Detonation* dd = NULL;
		if(head) {
		  dd = head->d;
		  delMessage(head);
		}
	    return(dd);
	}
		void addMessage(cDetMessage* msg) // method used by all derived classes
	{
		msg->pPrev=tail;
		msg->pNext=NULL;
		if(!head)
		{
			head = msg;
		}
		if(tail)
		{
			tail->pNext=msg;
		}
		tail = msg;
	}
	
	void delMessage(cDetMessage* msg) // method used by derived classes
	{
		if(head == msg)
		{
			head = msg->pNext;
		}
		if(tail == msg)
		{
			tail = msg->pPrev;
		}
		if(msg->pPrev)
		{
			msg->pPrev->pNext = msg->pNext;
		}
		if(msg->pNext)
		{
			msg->pNext->pPrev = msg->pPrev;
		}
		delete msg;
	}


};


class cMineMessage 
{
public:
	Mine* m; // Mine is a class
	cMineMessage* pPrev;
	cMineMessage* pNext;
	// constructor
/*	cMineMessage(Mine b) // Mine is a class
	{
		m = b;
	}
	~cMineMessage();
*/
	void SetMsg(Mine* a)
	{
		m = a;
	};
/*	cMessageList* GetMessageList()
	{

	}
*/
};

class cMineMessageList 
{
public:
	
	~cMineMessageList();
	cMineMessage* head;
	cMineMessage* tail;
	cMineMessageList()
	{
		head = tail = NULL;
	}
	Mine* getFirstMessage(void)
	{
		Mine* mm = NULL;
		if(head)
		{
		  mm = head->m;
		  delMessage(head);
		}
	    return(mm);
	}
	
	void addMessage(cMineMessage* msg) // method used by all derived classes
	{
		msg->pPrev=tail;
		msg->pNext=NULL;
		if(!head)
		{
			head = msg;
		}
		if(tail)
		{
			tail->pNext=msg;
		}
		tail = msg;
	}
	
	void delMessage(cMineMessage* msg) // method used by derived classes
	{
		if(head == msg)
		{
			head = msg->pNext;
		}
		if(tail == msg)
		{
			tail = msg->pPrev;
		}
		if(msg->pPrev)
		{
			msg->pPrev->pNext = msg->pNext;
		}
		if(msg->pNext)
		{
			msg->pNext->pPrev = msg->pPrev;
		}
		delete msg;
	}


};

class cMineFieldMessage 
{
public:
	MineField* mf; // MineField is a class
	cMineFieldMessage* pPrev;
	cMineFieldMessage* pNext;
	// constructor
/*	cMineFieldMessage( MineField a)
	{
		mf = a;
	};
*/
void SetMsg(MineField* a)
	{
		mf = a;
	}

//	~cMineFieldMessage();
/*	cMessageList* GetMessageList()
	{
		return ();
		// implement this
	};
*/
};

class cMineFieldMessageList 
{
public:
	cMineFieldMessage* head;
	cMineFieldMessage* tail;
	cMineFieldMessageList()
	{
		head = tail = NULL;
	}
	//~cMineFieldMessageList();
	
	MineField* getFirstMessage(void)
	{ 
	  MineField* mmf = new MineField; // local temp 
	  if(head) 
		{
		  mmf = head->mf;
		  delMessage(head);
		}
	    return(mmf);
	}
	
	void addMessage(cMineFieldMessage* msg) // method used by all derived classes
	{
		msg->pPrev=tail;
		msg->pNext=NULL;
		if(!head)
		{
			head = msg;
		}
		if(tail)
		{
			tail->pNext=msg;
		}
		tail = msg;
	}
	
	void delMessage(cMineFieldMessage* msg) // method used by derived classes
	{
		if(head == msg)
		{
			head = msg->pNext;
		}
		if(tail == msg)
		{
			tail = msg->pPrev;
		}
		if(msg->pPrev)
		{
			msg->pPrev->pNext = msg->pNext;
		}
		if(msg->pNext)
		{
			msg->pNext->pPrev = msg->pPrev;
		}
		delete msg;
	}


};

class cPrVehMessage 
{
public:
	Vehicle1* v; // Vehicle1 is a class
	cPrVehMessage* pPrev;
	cPrVehMessage* pNext;
	// constructor
/*	cPrVehMessage(Vehicle1 a)
	{
		v = a;
	};
*/
	void SetMsg(Vehicle1* a)
	{
		v = a;
	};
	
	// ~cPrVehMessage();
/*	cMessageList* GetMessageList()
	{
		// implement here
	}
*/
};
class cPrVehMessageList 
{
public:
	cPrVehMessage* head;
	cPrVehMessage* tail;
	cPrVehMessageList()
	{
		head = tail = NULL;
	}
//	~cPrVehMessageList();
	
	Vehicle1* getFirstMessage(void)
	{
		Vehicle1* vv = new Vehicle1;
		if(head)
		{
			vv = head->v;
			delMessage(head);
		}
		return(vv);
		
	}

		void addMessage(cPrVehMessage* msg) // method used by all derived classes
		{
		msg->pPrev=tail;
		msg->pNext=NULL;
		if(!head)
		{
			head = msg;
		}
		if(tail)
		{
			tail->pNext=msg;
		}
		tail = msg;
	}
	
	void delMessage(cPrVehMessage* msg) // method used by derived classes
	{
		if(head == msg)
		{
			head = msg->pNext;
		}
		if(tail == msg)
		{
			tail = msg->pPrev;
		}
		if(msg->pPrev)
		{
			msg->pPrev->pNext = msg->pNext;
		}
		if(msg->pNext)
		{
			msg->pNext->pPrev = msg->pPrev;
		}
		delete msg;
	}


}
;

class cVehUpdtMessage 
{
public:
	Vehicle1* v;
	cVehUpdtMessage* pPrev;
	cVehUpdtMessage* pNext;
/*	cVehUpdtMessage(Vehicle1 a)
	{
		v = a;
	}
*/
//	~cVehUpdtMessage();
/*	cMessageList* GetMessageList()
	{
				// implement here
	}
*/
	void SetMsg(Vehicle1* a)
	{
		v = a;
	};
};
class cVehUpdtMessageList 
{
public:
	cVehUpdtMessage* head;
	cVehUpdtMessage* tail;
	cVehUpdtMessageList()
	{
		head = tail = NULL;
	}
	~cVehUpdtMessageList(){};

	Vehicle1* getFirstMessage(void)
	{  Vehicle1* vv = new Vehicle1;
		if(head) {
		  vv = head->v;
		  delMessage(head);
		}
	    return(vv);
		/*cVehUpdtMessage* temp1; // temporary storage
		cVehUpdtMessage* temp2;
		temp1 = head;
		temp2 = head;
		delMessage(temp1);
		head = head->pNext
		return(temp1->v);*/
}
	void addMessage(cVehUpdtMessage* msg) // method used by all derived classes
	{
		msg->pPrev=tail;
		msg->pNext=NULL;
		if(!head)
		{
			head = msg;
		}
		if(tail)
		{
			tail->pNext=msg;
		}
		tail = msg;
	}
	
	void delMessage(cVehUpdtMessage* msg) // method used by derived classes
	{
		if(head == msg)
		{
			head = msg->pNext;
		}
		if(tail == msg)
		{
			tail = msg->pPrev;
		}
		if(msg->pPrev)
		{
			msg->pPrev->pNext = msg->pNext;
		}
		if(msg->pNext)
		{
			msg->pNext->pPrev = msg->pPrev;
		}
		delete msg;
	}


};

#endif



